%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-atkmm
Version:        2.22.5
Release:        2%{?dist}
Summary:        MinGW Windows C++ interface for the ATK library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atkmm/2.22/atkmm-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libsigc++20
BuildRequires:  mingw32-atk
BuildRequires:  mingw32-glibmm24 >= 2.24
BuildRequires:  pkgconfig

Requires:       pkgconfig
# mingw32-atkmm files used to be part of mingw32-gtkmm24
Conflicts:      mingw32-gtkmm24 < 2.21.1

%description
atkmm provides a C++ interface for the ATK library. Highlights
include type-safe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%{?_mingw32_debug_package}


%prep
%setup -q -n atkmm-%{version}


%build
%{_mingw32_configure} --disable-static --disable-documentation
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files
%defattr(-,root,root,-)
%doc COPYING
%{_mingw32_includedir}/atkmm-1.6
%{_mingw32_libdir}/atkmm-1.6
%{_mingw32_libdir}/pkgconfig/atkmm-1.6.pc
%{_mingw32_libdir}/libatkmm-1.6.la
%{_mingw32_libdir}/libatkmm-1.6.dll.a
%{_mingw32_bindir}/libatkmm-1.6-1.dll


%changelog
* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 2.22.5-2
- Rebuilt against win-iconv

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.22.5-1
- Update to 2.22.5

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.22.2-2
- Rebuilt for proxy-libintl removal

* Sun Feb 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.2-1
- update to 2.22.2 to match native

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  8 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.0-1
- Initial RPM release.
